kylin-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Luke Han <luke...@gmail.com>
Subject Re: An issue with Kylin Apache license
Date Mon, 02 Mar 2015 12:50:42 GMT
We have upgraded some old decencies and now are ok for both v0.6 and v0.7
branches.

Please feel free to let's know if there's any license issue, the Apache
Kylin Release will only contains Apache compatible dependencies only.

Thanks.
Luke


Best Regards!
---------------------

Luke Han

2015-03-02 11:36 GMT+08:00 Li Yang <liyang@apache.org>:

> To be clear, Kylin does not contain GPL dependency, or at least that's what
> we believe.
>
> In the initial version, there was an LZO dependency, and it was removed
> after Kylin joined apache incubation. The latest Kylin version 0.7.x is
> meant to be GPL free. Kindly let us know any GPL you spot and we will
> correct asap.
>
> Cheers
> Yang
>
> On Fri, Feb 20, 2015 at 1:12 PM, 周千昊 <z.qianhao@gmail.com> wrote:
>
> > Hi Tero
> >      we are now preparing for our first apache release, so it will be
> great
> > help if you can let us know which library we are using now is under GPL.
> >
> > On Thu Feb 19 2015 at 6:17:05 AM Han, Luke <lukhan@ebay.com> wrote:
> >
> > > Hi Tero, could you please let me know which framework/project has GPL
> but
> > > be included in Kylin? We will exclude them to well follow only Apache
> > > compatible license.
> > >
> > > Thank you very much.
> > > Luke
> > >
> > > 发自我的 iPhone
> > >
> > > 在 2015年2月19日,02:13,Tero Paananen <teropaananen@gmail.com>
写道:
> > >
> > > >> Who should I talk to about an issue our legal department found with
> > > >> your open source license?
> > > >>
> > > >> Specifically you're distributing Kylin with libraries licensed
> under a
> > > >> GPL license, which means you can't license your software under the
> > > >> Apache license.
> > > >>
> > > >> Can someone from the Kylin team (or the Apache Incubator process
> team)
> > > >> who can deal with this contact me privately? You can respond using
> my
> > > >> Email address on this post.
> > > >
> > > > Issue as explained here:
> > > >
> > > > http://www.apache.org/licenses/GPL-compatibility.html
> > > >
> > > > GPL licenses are not compatible with Apache licenses. You can't
> > > > include GPL licensed software in Apache licensed software.
> > > >
> > > > -TPP
> > >
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message